commit:     8deba2cbc7f6a922b3d5325493ede15ea7fa4d7e
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 16 21:24:23 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Jun 16 21:24:23 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8deba2cb

app-emulation/buildah: Bump to version 1.9.0

Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/buildah/Manifest             |  1 +
 app-emulation/buildah/buildah-1.9.0.ebuild | 57 ++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/app-emulation/buildah/Manifest b/app-emulation/buildah/Manifest
index 85802e26009..cd913daee6c 100644
--- a/app-emulation/buildah/Manifest
+++ b/app-emulation/buildah/Manifest
@@ -1,2 +1,3 @@
 DIST buildah-1.8.3.tar.gz 5114332 BLAKE2B 
55ef5e10e8a2a2b95ef8f8cd28a3ccdb3e734fc3ef64a890900e20a5b8994f92571e2cdec875813203fc4e98a8c4f09656d16bc4c6242194131a25713e054492
 SHA512 
f875c448f81ef272ad0b7be9c1579d6650983fed4e471095cd645ae1126b49d91ec15b55a072e722205154b681eefc0fb32f5a452d827e875eb0c4779f5d712b
 DIST buildah-1.8.4.tar.gz 5122400 BLAKE2B 
b02a1cac77f5f16ab6cec3a74f11ee94675c717ead21fd791feb4cfbd08dcfb4313a1ee3134d3b9f9d20218935db35e28dab406a9f706ff2f46a2beb1abaa56b
 SHA512 
a316e5e2bea7cded1db089bbc7831c9af69242caa6108c78d63864c012053bda3dc3da5bf70248b2742b2be1ad66aeb59c844558022c20f79236f5b1292d6366
+DIST buildah-1.9.0.tar.gz 5123317 BLAKE2B 
d38c36c2407b3a77a5f738e00ae08c4312945d5c2a4bb930e116e32171ea22c20e0a78e56cce7977844ff0d60306f5446a9c1a117d790ea83cc53e1e83e63417
 SHA512 
8defe72b267790a6d777eed2a68f89721184eab8df972ef59287e69e1719d1174cb120d6a0c254f8a3963721d34414ec614fb5d3e52fb85a6940c659ee720686

diff --git a/app-emulation/buildah/buildah-1.9.0.ebuild 
b/app-emulation/buildah/buildah-1.9.0.ebuild
new file mode 100644
index 00000000000..16d2c1c2eb6
--- /dev/null
+++ b/app-emulation/buildah/buildah-1.9.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/containers/buildah";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="ostree selinux"
+EGO_PN="${HOMEPAGE#*//}"
+EGIT_COMMIT="v${PV}"
+GIT_COMMIT="00eb895"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+RDEPEND="app-crypt/gpgme:=
+       app-emulation/skopeo
+       dev-libs/libgpg-error:=
+       dev-libs/libassuan:=
+       sys-fs/lvm2:=
+       sys-libs/libseccomp:=
+       selinux? ( sys-libs/libselinux:= )"
+DEPEND="${RDEPEND}"
+RESTRICT="test"
+REQUIRED_USE="!selinux? ( !ostree )"
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+       default
+       sed -e 's|^\(GIT_COMMIT ?= \).*|\1'${GIT_COMMIT}'|' -i Makefile || die
+
+       [[ -f ostree_tag.sh ]] || die
+       use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" 
> \
+               ostree_tag.sh || die; }
+
+       [[ -f selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               selinux_tag.sh || die; }
+}
+
+src_compile() {
+       export -n GOCACHE XDG_CACHE_HOME
+       GOPATH="${WORKDIR}/${P}" emake all
+}
+
+src_install() {
+       dodoc CHANGELOG.md CONTRIBUTING.md README.md install.md 
troubleshooting.md
+       doman docs/*.1
+       dodoc -r docs/tutorials
+       dobin ${PN} imgtype
+       dobashcomp contrib/completions/bash/buildah
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}" emake test-unit
+}

Reply via email to